Subject: Re: [CCAMP] mpls Digest, Vol 90, Issue 22

From: Jaihari Kalijanakiraman <[email-masked]>
Date: Thu, 20 Oct 2011 12:50:46 +0530

Hi Zhang,

I have a question.

The connection object in the draft has only destination tunnel number.

But as per TP Identifiers RFC 6370,

5.2.2.  MPLS-TP Associated Bidirectional LSP Identifiers

      A1-{Global_ID::Node_ID::Tunnel_Num::LSP_Num}::
      Z9-{Global_ID::Node_ID::Tunnel_Num::LSP_Num}

So I think the connection object should also include the destination LSP
number also.

Please comment..

*Thanks & Regards,*
*Jai Hari M.K.
IP Infusion*

> Date: Mon, 17 Oct 2011 19:08:51 +0800
> From: [email-masked]
> To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> Subject: [mpls] Request comments on
>        draft-zhang-ccamp-mpls-tp-rsvpte-ext-tunnel-num-00
> Message-ID:
>        <
> [email-masked]>
> Content-Type: text/plain; charset="us-ascii"
>
> Hi all
>
> We've submitted a draft for the group's consideration, below is the link:
>
> http://tools.ietf.org/html/draft-zhang-ccamp-mpls-tp-rsvpte-ext-tunnel-num-00
> .
>
> This draft is about the supporting of MPLS-TP Maintenance Identifiers. As
> described in http://tools.ietf.org/html/rfc6370, at each end point, a
> tunnel is uniquely identified by the end point's Node_ID and a locally
> assigned tunnel number, which allow a compact form for the MEP_ID, and
> extensions will be required to GMPLS to support these identifiers.
> Furthermore, http://tools.ietf.org/html/rfc6373 addressed this issue in
> section 4.4.8.
>
> Obviously, this issue can be solved by defining a new object, such as
> Connection Object as described in this draft, or a new sub-TLV call MEP_ID
> can be carried back to the ingress LSR in Resv message when the "CV" flag
> of the OAM Function Flags Sub-TLV is set, which may be considered in the
> subsequent version of the draft
> http://tools.ietf.org/html/draft-ietf-ccamp-rsvp-te-mpls-tp-oam-ext-06.
>
> We hope you'll find the time to look through the draft and comment on the
> list, help judge which way is more suitable before the WG meeting in
> Taipei, and hope that we'll be able to have a fruitful and lively
> discussion there.
>
>
> Best,
>
> Fei
>